### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-pagination/ecl-pagination.component.ts`

### Extends

`EclBaseEvent`

### Index

###### Properties

- Public Readonly page
- Public Readonly showingFrom
- Public Readonly showingTo

###### Methods

- preventDefault

### Constructor

`constructor(page: number, showingFrom: number, showingTo: number)`

Parameters :

Name | Type | Optional
page | `number` | No
showingFrom | `number` | No
showingTo | `number` | No

### Properties

Public Readonly page
Type : `number`

Public Readonly showingFrom
Type : `number`

Public Readonly showingTo
Type : `number`

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""